import React from 'react';
import ReactDOM from 'react-dom/client';
import Background from './layouts/AuthLayout/components/Background';
import Router from './routes/Router';
import './index.less';
import { Provider } from './store';
import { initTokenIfExists } from './utils/sso';

initTokenIfExists();

ReactDOM.createRoot(document.getElementById('root')).render(
  <Provider>
    <Background />
    <Router />
  </Provider>
);
