import React from "react";
import { Button, Form, Input } from "antd";
export default (props) => {
  const { loading, checkLoginwx } = props;
  console.log(loading);
  const style = {
    display: "flex",
    justifyContent: "flex-end",
    cursor: "pointer",
    color: "#576b95",
    position: "absolute",
    top: "0",
    right: "0",
    height: "33px",
    lineHeight: "33px",
  };
  return (
    <>
      <span style={style} onClick={checkLoginwx}>
        使用二维码登录
      </span>

      <Form.Item label="用户名" name="name" required>
        <Input placeholder="请输入用户名" style={{ borderRadius: "4px" }} />
      </Form.Item>
      <Form.Item label="密 码" name="pwd" required>
        <Input.Password
          placeholder="请输入密码"
          style={{ borderRadius: "4px" }}
        />
      </Form.Item>
      <Form.Item>
        <Button
          type="primary"
          size="large"
          style={{ width: "100%", marginTop: "24px", borderRadius: "4px" }}
          loading={loading}
          htmlType="submit"
        >
          登录
        </Button>
      </Form.Item>
    </>
  );
};
