import request from "@/utils/request";

/*
 * 分页查询
 */
export const getSysUser = (params) => request(`/api/sysUser/paginQuery`, { params });

/*
 * 新增数据
 */
export const postSysUser = (data) => request('/api/sysUser/addList', { data, method: 'post' });

/*
 * 更新数据
 */
export const putSysUser = (id, data) => request(`/api/sysUser/edit/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteSysUser = (id) => request(`/api/sysUser/deleteById/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getSysUserById = (id) => request(`/api/sysUser/queryById/${id}`);