import React from 'react';
import { Button } from 'antd';
import { CloseOutlined } from '@ant-design/icons';
import './style.less'

export default (props) => {
  const { size, type, onDelete, children } = props;

  return (
    <div className='tag-btn-group'>
      <Button size={size} type={type}>{children}</Button>
      <Button size={size} type="primary" icon={<CloseOutlined />} onClick={onDelete} />
    </div>
  )
}
