import React from 'react';
import { Menu } from 'antd';

const menuStyle = { height: '100%' };

export default (props) => {
  const { theme, items, location } = props;

  // const selectedKeys = React.useMemo(() => {
  //   const parts = location.pathname.split('/').filter(Boolean);
  //   const keys = parts.reduce((acc, it) => {
  //     const parent = acc.pop();
  //     const path = !parent ? `/${it}` : `${parent}/${it}`

  //     return acc.concat([parent, path].filter(Boolean));
  //   }, []);

  //   return keys;
  // }, [location.pathname]);

  const selectedKeys = [location.pathname];
  return (
    <Menu
      mode="inline"
      style={menuStyle}
      theme={theme}
      items={items}
      selectedKeys={selectedKeys}
    />
  )
}
