import React from "react";
import "./qrcode.less";
export default (props) => {
  const { qrcodeRef, codeLapse, onRenovate4, onRenovate1, checkLoginUse } =
    props;
  console.log(codeLapse);

  return (
    <>
      <span className="pageUse" onClick={checkLoginUse}>
        使用账号登录
      </span>
      <div className="pageQr">
        {codeLapse == 0 ? (
          <div className="qrcode">
            <div className="qrBoder">
              <div ref={qrcodeRef}></div>
            </div>
            <span>微信扫一扫登录</span>
          </div>
        ) : codeLapse == 1 ? (
          <div className="loginSvg">
            <svg
              className="svg"
              width="74"
              height="74"
              viewBox="0 0 18 18"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M18 9.111C18 13.971 13.97 18 8.889 18 4.029 18 0 13.97 0 9.111 0 4.03 4.03 0 8.889 0 13.97 0 18 4.03 18 9.111zM4.788 9.79l2.876 2.976c.041.043.109.047.15.007l6.327-6.227a.196.196 0 00-.006-.275l-.236-.233a.221.221 0 00-.291-.017l-5.792 4.825c-.037.032-.114.034-.161-.002L5.329 9.06c-.09-.068-.207-.043-.274.048l-.28.38a.234.234 0 00.013.3z"
                fill="#09BB07"
                fillRule="evenodd"
              ></path>
              <path
                d="M18 9.111C18 13.971 13.97 18 8.889 18 4.029 18 0 13.97 0 9.111 0 4.03 4.03 0 8.889 0 13.97 0 18 4.03 18 9.111zM4.788 9.79l2.876 2.976c.041.043.109.047.15.007l6.327-6.227a.196.196 0 00-.006-.275l-.236-.233a.221.221 0 00-.291-.017l-5.792 4.825c-.037.032-.114.034-.161-.002L5.329 9.06c-.09-.068-.207-.043-.274.048l-.28.38a.234.234 0 00.013.3z"
                fill="#09BB07"
                fillRule="evenodd"
              ></path>
              <path
                d="M18 9.111C18 13.971 13.97 18 8.889 18 4.029 18 0 13.97 0 9.111 0 4.03 4.03 0 8.889 0 13.97 0 18 4.03 18 9.111zM4.788 9.79l2.876 2.976c.041.043.109.047.15.007l6.327-6.227a.196.196 0 00-.006-.275l-.236-.233a.221.221 0 00-.291-.017l-5.792 4.825c-.037.032-.114.034-.161-.002L5.329 9.06c-.09-.068-.207-.043-.274.048l-.28.38a.234.234 0 00.013.3z"
                fill="#09BB07"
                fillRule="evenodd"
              ></path>
            </svg>
            <span className="ScanningCode">已扫码成功</span>

            <a className="newCode" onClick={onRenovate1}>
              重新扫码
            </a>
          </div>
        ) : codeLapse == 4 ? (
          <div className="loginPage">
            <div className="loginLap">
              <p>二维码已过期</p>
              <p>
                <a onClick={onRenovate4}>点击刷新</a>
              </p>
            </div>
          </div>
        ) : (
          <div></div>
        )}
      </div>
    </>
  );
};
