import { useLocation } from "react-router-dom";
import { routes } from '../routes';
import { flatten } from "../utils";

let routeMap = null;

// 获取当前的 route 信息
export default function useRoute() {
  if (!routeMap) {
    routeMap = flatten(routes);
  }

  const location = useLocation();
  return routeMap[location.pathname];
  // const currentRoute = routeArr.filter(x => x.path === location.pathname)[0];
  // return currentRoute;
}
