import request from "@/utils/request";

/*
 * 新增数据
 */
export const postTaProject = (data) => request(`/api/taProject/addProject`, { data, method: 'post' });

/*
 * 分页查询
 */
export const getTaProject = (params) => request(`/api/taProject/painQuery`, { params, method: 'get' });

/*
 * 更新数据
 */
export const putTaProject = (id, data) => request(`/api/taProject/edit/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaProject = (id) => request(`/api/taProject/deleteById/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaProjectById = (id) => request(`/api/taProject/queryById/${id}`);