import request from "@/utils/request";

/*
 * 分页查询
 */
export const getTaCustom = (params) => request(`/api/taCustom/queryList`, { params });

/*
 * 新增数据
 */
export const postTaCustom = (data) => request('/api/taCustom/addCustom', { data, method: 'post' });

/*
 * 更新数据
 */
export const putTaCustom = (id, data) => request(`/api/taCustom/edit/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCustom = (id) => request(`/api/taCustom/deleteById/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getTaCustomById = (id) => request(`/api/taCustom/queryListId/${id}`);